﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            (double[] xValueArray, double[] yValueArray) = DataGen.RandomWalk2D(new Random(0), 5000);

            SignalPlotXY signalPlotXY = plot.AddSignalXY(xValueArray, yValueArray);

            signalPlotXY.FillBelow();

            plot.Margins(x : 0);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}